#!/bin/bash

. /etc/belka/aggregation.conf
. /etc/belka/common.conf
. ${BELKA_HOME}/bin/functions.sh

SAVEPOINT_ARGS=$(savepoints_args $savepoints_base_folder)

db_single_server="${db_hostname}:${db_port}"
db_servers="${db_servers:-$db_single_server}"
db_params=${db_params:-"failOverReadOnly=false,secondsBeforeRetryMaster=60"}

${FLINK_HOME}/bin/flink run -d $SAVEPOINT_ARGS --allowNonRestoredState -c com.five9.stream.AggregationJob $BELKA_HOME/jars/flink-aggregation.jar \
    --src.topic ${src_topic} \
    --src.bootstrap.servers ${src_bootstrap_servers} \
    --dst.topic ${dst_topic} \
    --dst.bootstrap.servers ${dst_bootstrap_servers} \
    --datacenter-id ${datacenter_id} \
    --window-size ${window_size} \
    --db.servers ${db_servers} \
    --db.params ${db_params} \
    --db.user ${db_user} \
    --db.password ${db_password} \
    --checkpointing-interval ${checkpointing_interval} \
    --min-pause-between-checkpoints ${min_pause_between_checkpoints} \
    --checkpoint-timeout ${checkpoint_timeout}
