#!/bin/bash

. /etc/belka/distribution-tumbling.conf
. /etc/belka/common.conf
. ${BELKA_HOME}/bin/functions.sh

SAVEPOINT_ARGS=$(savepoints_args $savepoints_base_folder)

db_single_server="${db_hostname}:${db_port}"
db_servers="${db_servers:-$db_single_server}"
db_params=${db_params:-"failOverReadOnly=false,secondsBeforeRetryMaster=60"}

${FLINK_HOME}/bin/flink run -d $SAVEPOINT_ARGS --allowNonRestoredState -c com.five9.stream.DistributionJob $BELKA_HOME/jars/flink-distribution.jar \
    --parallelism.Distribution-tumbling-window  ${parallelism:-1} \
    --control.topic ${control_topic} \
    --control.bootstrap.servers ${control_bootstrap_servers} \
    --src.precomputed.topic ${src_precomputed_topic} \
    --src.precomputed.bootstrap.servers ${src_precomputed_bootstrap_servers} \
    --dst.partition.key ${dst_partition_key} \
    --dst.topic ${dst_topic} \
    --dst.bootstrap.servers ${dst_bootstrap_servers} \
    --datacenter-id ${datacenter_id} \
    --db.servers ${db_servers} \
    --db.params ${db_params} \
    --db.user ${db_user} \
    --db.password ${db_password} \
    --checkpointing-interval ${checkpointing_interval} \
    --min-pause-between-checkpoints ${min_pause_between_checkpoints} \
    --checkpoint-timeout ${checkpoint_timeout} \
    --window-operator-selector tumbling-window
