#!/bin/bash

. /etc/belka/precompute.conf
. /etc/belka/common.conf
. ${BELKA_HOME}/bin/functions.sh

SAVEPOINT_ARGS=$(savepoints_args $savepoints_base_folder)

${FLINK_HOME}/bin/flink run -d $SAVEPOINT_ARGS --allowNonRestoredState -c com.five9.stream.PrecomputeJob $BELKA_HOME/jars/flink-precompute.jar \
    --src.topic ${src_topic} \
    --src.bootstrap.servers ${src_bootstrap_servers} \
    --dst.topic ${dst_topic} \
    --dst.bootstrap.servers ${dst_bootstrap_servers} \
    --datacenter-id ${datacenter_id} \
    --checkpointing-interval ${checkpointing_interval} \
    --min-pause-between-checkpoints ${min_pause_between_checkpoints} \
    --checkpoint-timeout ${checkpoint_timeout}