
# Prints Flink Job name based on startup/shutdown script of this Job
function job_name () {
  echo $(basename $0 | sed -r 's/-(shutdown|startup).*//g')
}

# Prints path of last Flink Job savepoint done today. If no savepoints for today - prints empty string
function savepoints_args () {
  savepoints_base_folder=$1
  if $(ls ${savepoints_base_folder}/$(job_name) > /dev/null 2>&1); then
    savepoint=$(find ${savepoints_base_folder}/$(job_name) -maxdepth 1 -type d -mtime -1 -name savepoint-*-* -printf "%T+\t%p\n" | sort -r | head --lines=1 | awk {'print $2'})
    if ! $(ls "${savepoint}/_metadata" > /dev/null 2>&1); then
      savepoint=""
    fi
  else
    savepoint=""
  fi
  if [ ! -z $savepoint ]; then
    SAVEPOINT_ARGS="-s $savepoint"
  else
    SAVEPOINT_ARGS=""
  fi
  echo $SAVEPOINT_ARGS
}
