#!/bin/bash

. /etc/belka/interactions.conf
. /etc/belka/common.conf
. ${BELKA_HOME}/bin/functions.sh

SAVEPOINT_ARGS=$(savepoints_args $savepoints_base_folder)

${FLINK_HOME}/bin/flink run -d $SAVEPOINT_ARGS --allowNonRestoredState -c com.five9.stream.InteractionsJob $BELKA_HOME/jars/interactions.jar \
    --control.topic ${control_topic} \
    --control.bootstrap.servers ${control_bootstrap_servers} \
    --src.topic ${src_topic} \
    --src.bootstrap.servers ${src_bootstrap_servers} \
    --dst.partition.key ${dst_partition_key} \
    --dst.topic ${dst_topic} \
    --dst.bootstrap.servers ${dst_bootstrap_servers} \
    --datacenter-id ${datacenter_id} \
    --disposed-interactions-storage-ttl ${disposed_interactions_storage_ttl} \
    --checkpointing-interval ${checkpointing_interval} \
    --min-pause-between-checkpoints ${min_pause_between_checkpoints} \
    --checkpoint-timeout ${checkpoint_timeout}
